{
  config,
  lib,
  ...
}: let
  cfg = config.alqueva.programs.openssh;
in {
  options.alqueva.programs.openssh = {
    enable = lib.mkEnableOption "OpenSSH";
  };

  config = lib.mkIf cfg.enable {
    programs = {
      ssh = {
        enableAskPassword = true;
        startAgent = true;
      };
      seahorse.enable = true;
    };
    services.openssh.enable = true;
  };
}
